Section ID:
DOC-API-MODEL-schema-phpid7698e#overview
StorageManagerState
Tracked files, folders and storage usage for the effective storage owner.
Meaning and usage
Section ID: DOC-API-MODEL-schema-phpid7698e#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-phpid7698e#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-phpid7698e#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-phpid7698e#field-useridSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-useriduserId | string | Optional | Identifier of the user associated with the operation. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-foldersSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-foldersfolders | Map from string to FolderInfo | Optional | Path -> FolderInfo. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-filesSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-filesfiles | Map from string to FileInfo | Optional | Path -> FileInfo. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-totalsizebytesSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-totalsizebytestotalSizeBytes | string (int64) | Optional | Combined size of the represented files, in bytes. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-quotabytesSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-quotabytesquotaBytes | string (int64) | Optional | Storage capacity allocated to the user, in bytes. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-totalfilecountSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-totalfilecounttotalFileCount | string (int64) | Optional | Number of files tracked in the storage state. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-totalfoldercountSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-totalfoldercounttotalFolderCount | string (int64) | Optional | Number of folders tracked in the storage state. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-createdatSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-createdatcreatedAt | string | Optional | When user's storage was initialized. |
Section ID: DOC-API-MODEL-schema-phpid7698e#field-lastmodifiedSection ID: DOC-API-MODEL-schema-phpid7698e#response-field-lastmodifiedlastModified | string | Optional | Last modification timestamp. |
Where used
Section ID: DOC-API-MODEL-schema-phpid7698e#where-used
| Reference | Relationship |
|---|---|
| Get storage state | POST /api/v1/storage/get-state |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-phpid7698e